

#include "stdafx.h"
#include "SDK_NonlinearityCorrection.h"
#include "SDK_NonlinearityCorrectionDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSDK_NonlinearityCorrectionApp

BEGIN_MESSAGE_MAP(CSDK_NonlinearityCorrectionApp, CWinApp)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


CSDK_NonlinearityCorrectionApp::CSDK_NonlinearityCorrectionApp()
{
	m_dwRestartManagerSupportFlags = AFX_RESTART_MANAGER_SUPPORT_RESTART;

}


CSDK_NonlinearityCorrectionApp theApp;


BOOL CSDK_NonlinearityCorrectionApp::InitInstance()
{
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();


	AfxEnableControlContainer();

	CShellManager *pShellManager = new CShellManager;

	CMFCVisualManager::SetDefaultManager(RUNTIME_CLASS(CMFCVisualManagerWindows));


	CSDK_NonlinearityCorrectionDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}
	else if (nResponse == -1)
	{
	}

	if (pShellManager != NULL)
	{
		delete pShellManager;
	}

	return FALSE;
}

